Get agent by ID
Required scope: convai:read
Path Parameters
- Type: stringidrequired
Agent ID
Responses
- application/json
- application/json
- 404
Agent not found
- 500
Internal server error
Request Example for get/agents/{id}
curl 'https://api.simwood.com/convai/v1/agents/{id}' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
"id": "string",
"name": "string",
"configuration": {
"asr": {
"keywords": [
"string"
]
},
"turn": {
"timeout_seconds": 1,
"silence_timeout_seconds": 1
},
"tts": {
"voice_id": "string",
"settings": {
"stability": 1,
"similarity_boost": 1,
"speed": 1
}
},
"agent": {
"first_message": "string",
"language": "string",
"prompt": {
"text": "string",
"temperature": 1,
"model": "string"
},
"knowledge_base": [
{
"type": "url",
"source": "string",
"id": "string"
}
]
},
"conversation": {
"max_duration_seconds": 1
},
"analysis": {
"data_collection": {
"additionalProperty": {
"type": "boolean",
"description": "string",
"dynamic_variable": "string",
"constant_value": "string"
}
}
}
},
"created_at": "2026-07-18T10:26:52.866Z",
"updated_at": "2026-07-18T10:26:52.866Z"
}